Bug 143922 - ACPI battery rate 0 causes logout
Summary: ACPI battery rate 0 causes logout
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdeutils   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-01 12:41 UTC by Kasper Dupont
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 14:53:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Avoid problem by ignoring rate 0 readings (595 bytes, patch)
2005-05-21 17:49 UTC, Kasper Dupont
no flags Details | Diff

Description Kasper Dupont 2005-01-01 12:41:46 UTC
Description of problem:
When switching from external power to battery power the KDE session is
terminated.

Version-Release number of selected component (if applicable):
kdeutils-3.2.2-3

How reproducible:
Happens most of the time when external power is removed

Steps to Reproduce:
1. Run KDE on a Presario 2166EA (or similar?)
2. Charge the battery completely
3. Remove external power source
  
Actual results:
KDE session is terminated

Expected results:
Battery applet is updated, nothing else happens.

Additional info:
kdeutils-3.2.2/klaptopdaemon/portable.cpp already has code around line
490 to ignore the first few readings after switching to battery power.
It may as well be extended to ignore any reading of zero, which is
obviously wrong.

Comment 1 Matthew Miller 2005-04-26 15:30:32 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 2 Kasper Dupont 2005-05-21 17:49:05 UTC
Created attachment 114675 [details]
Avoid problem by ignoring rate 0 readings

Here is a patch which seems to solve the problem on my system. I have been
using the patch for a month, and haven't seen any problems since.

Comment 3 Kasper Dupont 2006-10-17 14:53:12 UTC
I haven't seen this problem on FC4 or FC5. I will close the bug.


Note You need to log in before you can comment on or make changes to this bug.